Slackware 1101 Published by

A vim security update has been released for Slackware 15.0 and -current.



slackware-security: vim (SSA:2022-304-01)



[slackware-security] vim (SSA:2022-304-01)

New vim packages are available for Slackware 15.0 and -current to fix a
security issue.

Here are the details from the Slackware 15.0 ChangeLog:
+--------------------------+
patches/packages/vim-9.0.0814-i586-1_slack15.0.txz: Upgraded.
A vulnerability was found in vim and classified as problematic. Affected by
this issue is the function qf_update_buffer of the file quickfix.c of the
component autocmd Handler. The manipulation leads to use after free. The
attack may be launched remotely. Upgrading to version 9.0.0805 is able to
address this issue.
Thanks to marav for the heads-up.
For more information, see:
  https://www.cve.org/CVERecord?id=CVE-2022-3705
(* Security fix *)
patches/packages/vim-gvim-9.0.0814-i586-1_slack15.0.txz: Upgraded.
+--------------------------+

Where to find the new packages:
+-----------------------------+

Thanks to the friendly folks at the OSU Open Source Lab
(  http://osuosl.org) for donating FTP and rsync hosting
to the Slackware project! :-)

Also see the "Get Slack" section on   http://slackware.com for
additional mirror sites near you.

Updated packages for Slackware 15.0:
  ftp://ftp.slackware.com/pub/slackware/slackware-15.0/patches/packages/vim-9.0.0814-i586-1_slack15.0.txz
  ftp://ftp.slackware.com/pub/slackware/slackware-15.0/patches/packages/vim-gvim-9.0.0814-i586-1_slack15.0.txz

Updated packages for Slackware x86_64 15.0:
  ftp://ftp.slackware.com/pub/slackware/slackware64-15.0/patches/packages/vim-9.0.0814-x86_64-1_slack15.0.txz
  ftp://ftp.slackware.com/pub/slackware/slackware64-15.0/patches/packages/vim-gvim-9.0.0814-x86_64-1_slack15.0.txz

Updated packages for Slackware -current:
  ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/ap/vim-9.0.0814-i586-1.txz
  ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/xap/vim-gvim-9.0.0814-i586-1.txz

Updated packages for Slackware x86_64 -current:
  ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/ap/vim-9.0.0814-x86_64-1.txz
  ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/xap/vim-gvim-9.0.0814-x86_64-1.txz

MD5 signatures:
+-------------+

Slackware 15.0 packages:
5096ff17d22c0b16554e534578a4020c vim-9.0.0814-i586-1_slack15.0.txz
ff2ee90761c94ec4097c6a64a3d03919 vim-gvim-9.0.0814-i586-1_slack15.0.txz

Slackware x86_64 15.0 packages:
42e736845e2e2d45bb7387efbad9c840 vim-9.0.0814-x86_64-1_slack15.0.txz
25744956ddcb8afcbf9f740558cf7e67 vim-gvim-9.0.0814-x86_64-1_slack15.0.txz

Slackware -current packages:
8c142486a2903d62f9a1dcede7171d36 ap/vim-9.0.0814-i586-1.txz
88d8f1d3ff581e8897071d0ac16c1222 xap/vim-gvim-9.0.0814-i586-1.txz

Slackware x86_64 -current packages:
65f3e9c21ff50f436fc22cb30f9b20ed ap/vim-9.0.0814-x86_64-1.txz
7169f7d393f268ffaafcb9168fecf290 xap/vim-gvim-9.0.0814-x86_64-1.txz

Installation instructions:
+------------------------+

Upgrade the packages as root:
# upgradepkg vim-9.0.0814-i586-1_slack15.0.txz vim-gvim-9.0.0814-i586-1_slack15.0.txz